namespace Txgy.RBS.Framework.CustomEnum
{
    /// <summary>
    /// 审批状态
    /// </summary>
    public enum ApprovalStatusEnum
    {
        /// <summary>
        /// 普通用户 无需要审批
        /// </summary>
        NoApproval = 0,

        /// <summary>
        /// 审批驳回
        /// </summary>
        [Remark("审批驳回")]
        ApprovalRejected = 1,

        /// <summary>
        ///发起审批
        /// </summary> 
        [Remark("发起审批")]
        PendingApproval = 2,

        /// <summary>
        /// 审批通过
        /// </summary>
        [Remark("审批通过")]
        Approved = 3
    }

    public class RemarkAttribute : Attribute
    {
        private string _Rmark;
        public RemarkAttribute(string remark)
        {
            this._Rmark = remark;
        }

        public string GetRemark() => _Rmark;
    }
}
